#include "AddEntityUpdate.h"
#include "StaticRegistry.h"
#include "Registries.h"
#include "Globals.h"
#include "Entity.h"


AddEntityUpdateType::AddEntityUpdateType()
	: WorldUpdateType(ID)
{}

void AddEntityUpdateType::applyUpdate(Framework::StreamReader* zReader)
{
	int type;
	zReader->lese((char*)&type, 4);
	Entity* entity = entityTypes[type]->loadEntity(zReader);
	currentGame->zDimension()->addEntity(entity);
}