#pragma once

#include "ModelInfo.h"

class ItemType : public virtual Framework::ReferenceCounter
{
protected:
	const int id;
	const ModelInfo model;

public:
	ItemType(int id, ModelInfo model);
	~ItemType();

	int getId() const;
	Framework::Model3DData* getItemModel() const;
	Framework::Model3DTextur* getItemTextur() const;
};